import {NgModule} from '@angular/core';
import {RouterModule, Routes} from '@angular/router';
import {AngularFireAuthGuard} from '@angular/fire/compat/auth-guard';
import {StatisticsComponent} from "./statistics/statistics.component";
import {AdministrationComponent} from './auth/administration/administration.component';
import {FactionsComponent} from './auth/administration/factions/factions.component';
import {LoginComponent} from './login/login.component';
import {LogoutComponent} from './logout/logout.component';
import {BodiesComponent} from './auth/administration/bodies/bodies.component';
import {FactionsInBodiesComponent} from './auth/administration/factions-in-bodies/factions-in-bodies.component';
import {EditComponent} from './auth/edit/edit.component';
import {TimeTrackingComponent} from './auth/edit/time-tracking/time-tracking.component';

const routes: Routes = [
  {path: 'statistics', component: StatisticsComponent},
  {
    path: 'administration',
    component: AdministrationComponent,
    children: [
      {path: 'bodies', component: BodiesComponent},
      {path: 'factions', component: FactionsComponent},
      {path: 'factions-in-bodies', component: FactionsInBodiesComponent},
    ],
    canActivate: [AngularFireAuthGuard]
  },
  {
    path: 'edit',
    component: EditComponent,
    children: [
      {path: ':sessionKey', component: TimeTrackingComponent},
    ],
    canActivate: [AngularFireAuthGuard],
  },
  {path: 'login', component: LoginComponent},
  {path: 'logout', component: LogoutComponent, canActivate: [AngularFireAuthGuard]},
  {path: '', redirectTo: 'statistics', pathMatch: 'full'}
];

@NgModule({
  imports: [RouterModule.forRoot(routes)],
  exports: [RouterModule]
})
export class AppRoutingModule {
}
