import {NgModule} from '@angular/core';
import {BrowserModule} from '@angular/platform-browser';
import {FormsModule} from '@angular/forms';
import {PERSISTENCE} from '@angular/fire/compat/auth';
import {AngularFireModule} from '@angular/fire/compat';
import {AngularFireDatabaseModule} from '@angular/fire/compat/database';

import {AppRoutingModule} from './app-routing.module';
import {AppComponent} from './app.component';
import {NavbarComponent} from './navbar/navbar.component';
import {StatisticsComponent} from './statistics/statistics.component';
import {LoginComponent} from './login/login.component';
import {AdministrationComponent} from './auth/administration/administration.component';
import {FactionsComponent} from './auth/administration/factions/factions.component';
import {LogoutComponent} from './logout/logout.component';
import {BodiesComponent} from './auth/administration/bodies/bodies.component';
import {environment} from '../environments/environment';
import {FactionsInBodiesComponent} from './auth/administration/factions-in-bodies/factions-in-bodies.component';
import {EditComponent} from './auth/edit/edit.component';
import {TimeTrackingComponent} from './auth/edit/time-tracking/time-tracking.component';

@NgModule({
  declarations: [
    AppComponent,
    NavbarComponent,
    StatisticsComponent,
    AdministrationComponent,
    FactionsComponent,
    LoginComponent,
    LogoutComponent,
    BodiesComponent,
    FactionsInBodiesComponent,
    EditComponent,
    TimeTrackingComponent,
  ],
  imports: [
    BrowserModule,
    AppRoutingModule,
    FormsModule,
    AngularFireModule.initializeApp(environment.firebase),
    AngularFireDatabaseModule,
  ],
  providers: [
    {provide: PERSISTENCE, useValue: 'local'},
  ],
  bootstrap: [AppComponent]
})
export class AppModule {
}
