import {Component, OnInit} from '@angular/core';
import {AngularFireDatabase, SnapshotAction} from '@angular/fire/compat/database';
import {Observable} from 'rxjs';
import {Faction} from './faction';

@Component({
  selector: 'app-factions',
  templateUrl: './factions.component.html',
  styleUrls: ['./factions.component.scss']
})
export class FactionsComponent implements OnInit {
  public factions: Observable<SnapshotAction<Faction>[]> = new Observable<SnapshotAction<Faction>[]>();

  constructor(private database: AngularFireDatabase) { }

  ngOnInit(): void {
    const factionRef = this.database.list<Faction>('factions');
    this.factions = factionRef.snapshotChanges();
  }

  public addFaction(name: string): void {
    const factionRef = this.database.list<Faction>('factions');
    factionRef.push({
      name: name
    });
  }

  public deleteFaction(key: string|null): void {
    const factionRef = this.database.list<Faction>('factions');
    if (key != null) {
      factionRef.remove(key);
    }
  }
}
